﻿using Syncfusion.UI.Xaml.Charts;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Globalization;

namespace FastScatter_Sample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            ViewModel view = new ViewModel();

            ChartColorModel colorModel = new ChartColorModel();         
            foreach(var item in view.Data)
            {
                if (item.flag == true)
                    colorModel.CustomBrushes.Add(new SolidColorBrush(Colors.Blue));
                else
                    colorModel.CustomBrushes.Add(new SolidColorBrush(Colors.Red));
               
            }
            series.ColorModel = colorModel;
        }
    }  
}
